%define _requires_exceptions devel\(libtwopigen\)\\|devel\(libgvrender\)\\|devel\(libcdt\)\\|devel\(libdotgen\)\\|devel\(libcommon\)\\|devel\(libpathplan\)\\|devel\(libneatogen\)\\|devel\(libcircogen\)\\|devel\(libgraph\)\\|devel\(libdotneato\)\\|devel\(libfdpgen\)\\|devel\(libpack\)

%define __libtoolize    /bin/true

%define lib_name_orig %mklibname koffice2
%define lib_major 2
%define lib_name %lib_name_orig%lib_major

%define lib_name_orig_kexi %mklibname kexi
%define lib_major_kexi 0
%define lib_name_kexi %lib_name_orig_kexi%lib_major_kexi

%define use_enable_final 0
%define use_python 1

%define compile_apidox 0

%define krita_kjs_compile 0
%define oname koffice
%define unstable 0

%define rev     714126
%define oname   koffice

Name:		koffice2
URL:		http://www.koffice.org/
Summary:	Set of office applications for KDE
Version:        1.9.92
Release:        %mkrel 0.%rev.3
Epoch:		1
Source:         %oname-%version.%rev.tar.bz2
Group:		Office
License:	GPL
BuildRoot:	%_tmppath/%name-%version-kde4-%release-root
BuildRequires:  kdelibs4-devel
BuildRequires:  kdepimlibs4-devel
BuildRequires:  lcms-devel
BuildRequires:  qca2-devel
BuildRequires:  libwpd-devel
BuildRequires:  libOpenEXR-devel
BuildRequires:  libexif-devel
BuildRequires:  libexiv-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  libxslt-devel
BuildRequires:  libxml2-utils
BuildRequires:  boost-devel
BuildRequires:  libpoppler-qt4-devel
BuildRequires:  imagemagick-devel
BuildRequires:  libjbig-devel
BuildRequires:  libxml2-devel >= 2.4.28-2mdk
BuildRequires:  python-devel
BuildRequires:  readline-devel
BuildRequires:  pqxx-devel
BuildRequires:  postgresql-devel
BuildRequires:  eigen-devel
BuildRequires:  mysql-devel
BuildRequires:  jpeg-devel
BuildRequires:  qimageblitz-devel
BuildRequires:  gsl-devel
BuildRequires:  qca2-devel
BuildRequires:  glpk-devel
BuildRequires:  mesaglut-devel
BuildRequires:  glew-devel

%if %compile_apidox
BuildRequires: doxygen, graphviz
%endif

Requires:	%name-kword
Requires:	%name-kspread
Requires:	%name-karbon
Requires:	%name-kugar
Requires:	%name-kpresenter
Requires:	%name-kivio
Requires:	%name-kformula
Requires:	%name-koshell
Requires:	%name-kexi
Requires:	%name-krita
Requires:	%name-kplato

%description
Office applications for the K Desktop Environment.

KOffice contains:
   * KWord: word processor
   * KSpread: spreadsheet
   * KPresenter: presentations
   * KChart: diagram generator
   * Kugar: A tool for generating business quality reports.
   * Kivio: A Visio(r)-style flowcharting application.
   * Kexi: an integrated environment for managing data
   * Some filters (Excel 97, Winword 97/2000, etc.)
   * karbon: the scalable vector drawing application for KDE.
   * kformula:  a formula editor for KOffice.
   * krita: painting and image editing application.
   * koshell
   * kplato: a project management.

%files

#--------------------------------------------------------------------

%package core
Group:		  Office
Summary:	  Set of office applications for KDE
Requires:	  kghostview-lib
Requires:	  wordnet
Requires(post):   desktop-file-utils
Requires(postun): desktop-file-utils


%description core
Common files for Koffice

%post core
/sbin/ldconfig
%update_menus

%postun core
/sbin/ldconfig
%clean_menus

%files core
%defattr(-,root,root)
%_kde_datadir/applications/kde4/koffice.desktop

%_kde_datadir/kde4/services/spellcheck.desktop
%_kde_libdir/kde4/spellcheck.so
%_kde_libdir/kde4/libkarbonsvgimport.so
#%_kde_libdir/kde4/libmswordimport.so

%_kde_appsdir/koffice/icons/*/*/*/*
%_kde_appsdir/koffice/icons/*.png
%_kde_iconsdir/hicolor/*/actions/abs.png
%_kde_iconsdir/hicolor/*/actions/brackets.png
%_kde_iconsdir/hicolor/*/actions/frac.png
%_kde_iconsdir/hicolor/*/actions/gsub.png
%_kde_iconsdir/hicolor/*/actions/gsup.png
%_kde_iconsdir/hicolor/*/actions/int.png
%_kde_iconsdir/hicolor/*/actions/lsub.png
%_kde_iconsdir/hicolor/*/actions/lsup.png
%_kde_iconsdir/hicolor/*/actions/matrix.png
%_kde_iconsdir/hicolor/*/actions/multiline.png
%_kde_iconsdir/hicolor/*/actions/onetwomatrix.png
%_kde_iconsdir/hicolor/*/actions/over.png
%_kde_iconsdir/hicolor/*/actions/paren.png
%_kde_iconsdir/hicolor/*/actions/prod.png
%_kde_iconsdir/hicolor/*/actions/rsub.png
%_kde_iconsdir/hicolor/*/actions/rsup.png
%_kde_iconsdir/hicolor/*/actions/sqrt.png
%_kde_iconsdir/hicolor/*/actions/sum.png
%_kde_iconsdir/hicolor/*/actions/under.png
%_kde_iconsdir/hicolor/22x22/actions/inscol.png
%_kde_iconsdir/hicolor/22x22/actions/insrow.png
%_kde_iconsdir/hicolor/22x22/actions/remcol.png
%_kde_iconsdir/hicolor/22x22/actions/remrow.png
%_kde_appsdir/koffice/hyphdicts/*.dic
%_kde_datadir/apps/koffice/hyphdicts/*.xml

%_kde_datadir/apps/koffice/autocorrect/autocorrect.xml
%_kde_datadir/apps/koffice/autocorrect/en_US.xml
%_kde_datadir/apps/koffice/hyphdicts/dicts.xml
%_kde_datadir/apps/koffice/koffice_shell.rc
%_kde_datadir/apps/konqueror/servicemenus/kchart_konqi.desktop
%_kde_datadir/apps/musicshape/fonts/Emmentaler-14.ttf
%_kde_datadir/kde4/services/autocorrect.desktop
%_kde_datadir/kde4/services/changecase.desktop
%_kde_datadir/kde4/services/clipartthumbnail.desktop
%_kde_datadir/kde4/services/defaulttools.desktop
%_kde_datadir/kde4/services/divineproportionshape.desktop
%_kde_datadir/kde4/services/formulashape.desktop
%_kde_datadir/kde4/services/generic_filter.desktop
%_kde_datadir/kde4/services/kformdesigner/kformdesigner_containers.desktop
%_kde_datadir/kde4/services/kformdesigner/kformdesigner_stdwidgets.desktop
%_kde_datadir/kde4/services/kodocinfopropspage.desktop
%_kde_datadir/kde4/services/koffice_graya_u16_plugin.desktop
%_kde_datadir/kde4/services/kofficedockers.desktop
%_kde_datadir/kde4/services/kofficegrayaplugin.desktop
%_kde_datadir/kde4/services/kofficethumbnail.desktop
%_kde_datadir/kde4/services/kounavail.desktop
%_kde_datadir/kde4/services/musicshape.desktop
%_kde_datadir/kde4/services/pathshapes.desktop
%_kde_datadir/kde4/services/pictureshape.desktop
%_kde_datadir/kde4/services/tableshape.desktop
%_kde_datadir/kde4/services/textshape.desktop
%_kde_datadir/kde4/services/textvariables.desktop
%_kde_datadir/kde4/servicetypes/flake.desktop
%_kde_datadir/kde4/servicetypes/flakeshape.desktop
%_kde_datadir/kde4/servicetypes/flaketool.desktop
%_kde_datadir/kde4/servicetypes/inlinetextobject.desktop
%_kde_datadir/kde4/servicetypes/kochart.desktop
%_kde_datadir/kde4/servicetypes/kofficedocker.desktop
%_kde_datadir/kde4/servicetypes/kofficepart.desktop
%_kde_datadir/kde4/servicetypes/kofilter.desktop
%_kde_datadir/kde4/servicetypes/kofilterwrapper.desktop
%_kde_datadir/kde4/servicetypes/koplugin.desktop
%_kde_datadir/kde4/servicetypes/pigment.desktop
%_kde_datadir/kde4/servicetypes/texteditingplugin.desktop
%_kde_datadir/kde4/servicetypes/widgetfactory.desktop
%_kde_datadir/templates/.source/Presentation.kpt
%_kde_datadir/templates/.source/SpreadSheet.kst
%_kde_datadir/templates/.source/TextDocument.kwt
%_kde_datadir/templates/Illustration.desktop
%_kde_datadir/templates/Presentation.desktop
%_kde_datadir/templates/SpreadSheet.desktop
%_kde_datadir/templates/TextDocument.desktop

%_kde_libdir/kde4/autocorrect.so
%_kde_libdir/kde4/changecase.so
%_kde_libdir/kde4/clipartthumbnail.so
%_kde_libdir/kde4/defaulttools.so
%_kde_libdir/kde4/divineproportionshape.so
%_kde_libdir/kde4/formulashape.so
%_kde_libdir/kde4/kformdesigner_containers.so
%_kde_libdir/kde4/kformdesigner_stdwidgets.so
%_kde_libdir/kde4/kodocinfopropspage.so
%_kde_libdir/kde4/koffice_graya_u16_plugin.so
%_kde_libdir/kde4/kofficedockers.so
%_kde_libdir/kde4/kofficegrayau8plugin.so
%_kde_libdir/kde4/kofficescan.so
%_kde_libdir/kde4/kofficethumbnail.so
%_kde_libdir/kde4/libabiwordexport.so
%_kde_libdir/kde4/musicshape.so
%_kde_libdir/kde4/pathshapes.so
%_kde_libdir/kde4/pictureshape.so
%_kde_libdir/kde4/tableshape.so
%_kde_libdir/kde4/textshape.so
%_kde_libdir/kde4/textvariables.so


%_kde_bindir/kthesaurus
%_kde_datadir/applications/kde4/KThesaurus.desktop
%_kde_datadir/kde4/services/thesaurustool.desktop
%_kde_datadir/apps/koffice/thesaurus/thesaurus.txt
%_kde_libdir/kde4/thesaurustool.so
%_kde_libdir/libkdeinit4_kthesaurus.so

%_kde_bindir/koconverter

%dir %_kde_docdir/HTML/en/kchart
%doc %_kde_docdir/HTML/en/kchart/*.png
%doc %_kde_docdir/HTML/en/kchart/*.docbook
%doc %_kde_docdir/HTML/en/kchart/index.cache.bz2

%dir %_kde_docdir/HTML/en/koffice
%doc %_kde_docdir/HTML/en/koffice/index.cache.bz2
%doc %_kde_docdir/HTML/en/koffice/index.docbook

%dir %_kde_docdir/HTML/en/thesaurus
%doc %_kde_docdir/HTML/en/thesaurus/index.cache.bz2
%doc %_kde_docdir/HTML/en/thesaurus/index.docbook

#--------------------------------------------------------------------

%define libkoguiutils_major 5
%define libkoguiutils %mklibname koguiutils %libkoguiutils_major

%package -n %libkoguiutils
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkoguiutils
Koffice 2 core library.

%post -n   %libkoguiutils -p /sbin/ldconfig
%postun -n %libkoguiutils -p /sbin/ldconfig

%files -n %libkoguiutils
%defattr(-,root,root)
%_kde_libdir/libkoguiutils.so.%libkoguiutils_major
%_kde_libdir/libkoguiutils.so.%libkoguiutils_major.0.0

#--------------------------------------------------------------------

%define libkokross_major 5
%define libkokross %mklibname kokross %libkokross_major

%package -n %libkokross
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkokross
Koffice 2 core library.

%post -n   %libkokross -p /sbin/ldconfig
%postun -n %libkokross -p /sbin/ldconfig

%files -n %libkokross
%defattr(-,root,root)
%_kde_libdir/libkokross.so.%libkokross_major
%_kde_libdir/libkokross.so.%libkokross_major.0.0

#--------------------------------------------------------------------

%define libkomain_major 5
%define libkomain %mklibname komain %libkomain_major

%package -n %libkomain
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkomain
Koffice 2 core library.

%post -n   %libkomain -p /sbin/ldconfig
%postun -n %libkomain -p /sbin/ldconfig

%files -n %libkomain
%defattr(-,root,root)
%_kde_libdir/libkomain.so.%libkomain_major
%_kde_libdir/libkomain.so.%libkomain_major.0.0

#--------------------------------------------------------------------

%define libkopageapp_major 5
%define libkopageapp %mklibname kopageapp %libkopageapp_major

%package -n %libkopageapp
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkopageapp
Koffice 2 core library.

%post -n   %libkopageapp -p /sbin/ldconfig
%postun -n %libkopageapp -p /sbin/ldconfig

%files -n %libkopageapp
%defattr(-,root,root)
%_kde_libdir/libkopageapp.so.%libkopageapp_major
%_kde_libdir/libkopageapp.so.%libkopageapp_major.0.0

#--------------------------------------------------------------------

%define libkopainter_major 5
%define libkopainter %mklibname kopainter %libkopainter_major

%package -n %libkopainter
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkopainter
Koffice 2 core library.

%post -n   %libkopainter -p /sbin/ldconfig
%postun -n %libkopainter -p /sbin/ldconfig

%files -n %libkopainter
%defattr(-,root,root)
%_kde_libdir/libkopainter.so.%libkopainter_major
%_kde_libdir/libkopainter.so.%libkopainter_major.0.0

#--------------------------------------------------------------------

%define libkoproperty_major 5
%define libkoproperty %mklibname koproperty %libkoproperty_major

%package -n %libkoproperty
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkoproperty
Koffice 2 core library.

%post -n   %libkoproperty -p /sbin/ldconfig
%postun -n %libkoproperty -p /sbin/ldconfig

%files -n %libkoproperty
%defattr(-,root,root)
%_kde_libdir/libkoproperty.so.%libkoproperty_major
%_kde_libdir/libkoproperty.so.%libkoproperty_major.0.0

#--------------------------------------------------------------------

%define libkoresources_major 5
%define libkoresources %mklibname koresources %libkoresources_major

%package -n %libkoresources
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkoresources
Koffice 2 core library.

%post -n   %libkoresources -p /sbin/ldconfig
%postun -n %libkoresources -p /sbin/ldconfig

%files -n %libkoresources
%defattr(-,root,root)
%_kde_libdir/libkoresources.so.%libkoresources_major
%_kde_libdir/libkoresources.so.%libkoresources_major.0.0

#--------------------------------------------------------------------

%define libkotext_major 5
%define libkotext %mklibname kotext %libkotext_major

%package -n %libkotext
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkotext
Koffice 2 core library.

%post -n   %libkotext -p /sbin/ldconfig
%postun -n %libkotext -p /sbin/ldconfig

%files -n %libkotext
%defattr(-,root,root)
%_kde_libdir/libkotext.so.%libkotext_major
%_kde_libdir/libkotext.so.%libkotext_major.0.0

#--------------------------------------------------------------------

%define libkowmf_major 5
%define libkowmf %mklibname kowmf %libkowmf_major

%package -n %libkowmf
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkowmf
Koffice 2 core library.

%post -n   %libkowmf -p /sbin/ldconfig
%postun -n %libkowmf -p /sbin/ldconfig

%files -n %libkowmf
%defattr(-,root,root)
%_kde_libdir/libkowmf.so.%libkowmf_major
%_kde_libdir/libkowmf.so.%libkowmf_major.0.0

#--------------------------------------------------------------------

%define libkstore_major 5
%define libkstore %mklibname kstore %libkstore_major

%package -n %libkstore
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkstore
Koffice 2 core library.

%post -n   %libkstore -p /sbin/ldconfig
%postun -n %libkstore -p /sbin/ldconfig

%files -n %libkstore
%defattr(-,root,root)
%_kde_libdir/libkstore.so.%libkstore_major
%_kde_libdir/libkstore.so.%libkstore_major.0.0

#--------------------------------------------------------------------

%define libkudesignercore_major 5
%define libkudesignercore %mklibname kudesignercore %libkudesignercore_major

%package -n %libkudesignercore
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkudesignercore
Koffice 2 core library.

%post -n   %libkudesignercore -p /sbin/ldconfig
%postun -n %libkudesignercore -p /sbin/ldconfig

%files -n %libkudesignercore
%defattr(-,root,root)
%_kde_libdir/libkudesignercore.so.%libkudesignercore_major
%_kde_libdir/libkudesignercore.so.%libkudesignercore_major.0.0

#--------------------------------------------------------------------

%define libkwmf_major 5
%define libkwmf %mklibname kwmf %libkwmf_major

%package -n %libkwmf
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkwmf
Koffice 2 core library.

%post -n   %libkwmf -p /sbin/ldconfig
%postun -n %libkwmf -p /sbin/ldconfig

%files -n %libkwmf
%defattr(-,root,root)
%_kde_libdir/libkwmf.so.%libkwmf_major
%_kde_libdir/libkwmf.so.%libkwmf_major.0.0

#--------------------------------------------------------------------

%define libpigment_major 1
%define libpigment %mklibname libpigmentpigment %libpigment_major

%package -n %libpigment
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libpigment
Koffice 2 core library.

%post -n   %libpigment -p /sbin/ldconfig
%postun -n %libpigment -p /sbin/ldconfig

%files -n %libpigment
%defattr(-,root,root)
%_kde_libdir/libpigment.so.%libpigment_major
%_kde_libdir/libpigment.so.%libpigment_major.0.0

#--------------------------------------------------------------------

%define libflake_major 5
%define libflake %mklibname flake %libflake_major

%package -n %libflake
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libflake
Koffice 2 core library.

%post -n   %libflake -p /sbin/ldconfig
%postun -n %libflake -p /sbin/ldconfig

%files -n %libflake
%defattr(-,root,root)
%_kde_libdir/libflake.so.%libflake_major
%_kde_libdir/libflake.so.%libflake_major.0.0

#--------------------------------------------------------------------

%define libkformdesigner_major 5
%define libkformdesigner %mklibname kformdesigner %libkformdesigner_major

%package -n %libkformdesigner
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkformdesigner
Koffice 2 core library.

%post -n   %libkformdesigner -p /sbin/ldconfig
%postun -n %libkformdesigner -p /sbin/ldconfig

%files -n %libkformdesigner
%defattr(-,root,root)
%_kde_libdir/libkformdesigner.so.%libkformdesigner_major
%_kde_libdir/libkformdesigner.so.%libkformdesigner_major.0.0

#--------------------------------------------------------------------

%define libkochart_major 5
%define libkochart %mklibname kochart %libkochart_major

%package -n %libkochart
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkochart
Koffice 2 core library.

%post -n   %libkochart -p /sbin/ldconfig
%postun -n %libkochart -p /sbin/ldconfig

%files -n %libkochart
%defattr(-,root,root)
%_kde_libdir/libkochart.so.%libkochart_major
%_kde_libdir/libkochart.so.%libkochart_major.0.0

#--------------------------------------------------------------------

%define libkoffice_graya_u16_major 5
%define libkoffice_graya_u16 %mklibname koffice_graya_u16 %libkoffice_graya_u16_major

%package -n %libkoffice_graya_u16
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkoffice_graya_u16
Koffice 2 core library.

%post -n   %libkoffice_graya_u16 -p /sbin/ldconfig
%postun -n %libkoffice_graya_u16 -p /sbin/ldconfig

%files -n %libkoffice_graya_u16
%defattr(-,root,root)
%_kde_libdir/libkoffice_graya_u16.so.%libkoffice_graya_u16_major
%_kde_libdir/libkoffice_graya_u16.so.%libkoffice_graya_u16_major.0.0

#--------------------------------------------------------------------

%define libkofficegrayau8colorspace_major 5
%define libkofficegrayau8colorspace %mklibname kofficegrayau8colorspace %libkofficegrayau8colorspace_major

%package -n %libkofficegrayau8colorspace
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkofficegrayau8colorspace
Koffice 2 core library.

%post -n   %libkofficegrayau8colorspace -p /sbin/ldconfig
%postun -n %libkofficegrayau8colorspace -p /sbin/ldconfig

%files -n %libkofficegrayau8colorspace
%defattr(-,root,root)
%_kde_libdir/libkofficegrayau8colorspace.so.%libkofficegrayau8colorspace_major
%_kde_libdir/libkofficegrayau8colorspace.so.%libkofficegrayau8colorspace_major.0.0

#--------------------------------------------------------------------

%package      devel
Group:		Development/KDE and Qt
Summary:	Header files for developing koffice2 applications
Requires:      %name-core = %{epoch}:%{version}-%{release}
Provides:      %name-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%lib_name-devel

%description devel
Header files needed for developing koffice2 applications.

%post devel -p /sbin/ldconfig
%postun devel -p /sbin/ldconfig

%files devel
%defattr(-,root,root)
%_kde_includedir/*.h
%dir %_kde_includedir/kexidb
%_kde_includedir/kexidb/*.h
%dir %_kde_includedir/kexiutils
%_kde_includedir/kexiutils/*.h
%dir %_kde_includedir/koproperty
%_kde_includedir/koproperty/*.h
%dir %_kde_includedir/koproperty/editors
%_kde_includedir/koproperty/editors/*.h

%_kde_libdir/libkspreadcommon.so
%_kde_libdir/libkwordexportfilters.so
%_kde_libdir/libkwordprivate.so
%_kde_libdir/libkplatoprivate.so
%_kde_libdir/libkpresenterprivate.so
%_kde_libdir/libkformulalib.so
%_kde_libdir/libkformulaprivate.so
%_kde_libdir/*karbon*.a
%_kde_libdir/libkarboncommon.so
%_kde_libdir/libkexicore.so
%_kde_libdir/libkexidatatable.so
%_kde_libdir/libkexidb.so
%_kde_libdir/libkexiextendedwidgets.so
%_kde_libdir/libkexiformutils.so
%_kde_libdir/libkexiguiutils.so
%_kde_libdir/libkeximain.so
%_kde_libdir/libkeximigrate.so
%_kde_libdir/libkexirelationsview.so
%_kde_libdir/libkexisql2.so
%_kde_libdir/libkexisql3.so
%_kde_libdir/libkexiutils.so
%_kde_libdir/libflake.so
%_kde_libdir/libkformdesigner.so
%_kde_libdir/libkivioprivate.so
%_kde_libdir/libkochart.so
%_kde_libdir/libkoffice_graya_u16.so
%_kde_libdir/libkofficegrayau8colorspace.so
%_kde_libdir/libkoguiutils.so
%_kde_libdir/libkokross.so
%_kde_libdir/libkomain.so
%_kde_libdir/libkopageapp.so
%_kde_libdir/libkopainter.so
%_kde_libdir/libkoproperty.so
%_kde_libdir/libkoresources.so
%_kde_libdir/libkotext.so
%_kde_libdir/libkowmf.so
%_kde_libdir/libkstore.so
%_kde_libdir/libkudesignercore.so
%_kde_libdir/libkugarlib.so
%_kde_libdir/libkwmf.so
%_kde_libdir/libpigment.so
%_kde_libdir/libvpainter.a
%_kde_libdir/libkdchart.so
%_kde_libdir/libkchartcommon.so
%_kde_libdir/libkisexiv2.so
%_kde_libdir/libkrita_xyz_u16.so
%_kde_libdir/libkritadynamicbrush.so
%_kde_libdir/libkritafilterslistdynamicprogram.so
%_kde_libdir/libkritagrayscale.so
%_kde_libdir/libkritaimage.so
%_kde_libdir/libkritapainterlycommon.so
%_kde_libdir/libkritargbf16hdr.so
%_kde_libdir/libkritargbf32hdr.so
%_kde_libdir/libkritaui.so
%_kde_libdir/libkrossmodulekrita.so
%_kde_libdir/libchartshapelib.so

#--------------------------------------------------------------------

%package kword
Summary:	Word processor for koffice2.
Group:		Graphical desktop/KDE
Requires:	koffice2-core = %version-%release
URL:            http://www.koffice.org/
Requires:	wordnet
Requires:       %name-kformula
Provides:	%name-apps
Provides:       kword2

%description kword
Kword is a word processor for kde project

%post kword
/sbin/ldconfig
%update_menus
%{update_desktop_database}

%postun kword
/sbin/ldconfig
%clean_menus
%{clean_desktop_database}

%files kword
%defattr(-,root,root)
%_kde_bindir/kword
%_kde_iconsdir/hicolor/*/apps/kword.png
%_kde_datadir/applications/kde4/kword.desktop
%_kde_appsdir/konqueror/servicemenus/kword_konqi.desktop
%_kde_appsdir/kword/icons/crystalsvg/scalable/actions/*
%_kde_appsdir/kword/icons/hicolor/*/*/*
%_kde_appsdir/kword/kpartplugins/*
%_kde_appsdir/kword/kword.rc
%_kde_appsdir/kword/kword_readonly.rc
%_kde_appsdir/kword/scripts/extensions/*
%_kde_appsdir/kword/scripts/samples/*.py
%_kde_appsdir/kword/scripts/samples/*.rb
%_kde_appsdir/kword/scripts/scripts.rc
%_kde_appsdir/kword/templates/CardsAndLabels/*
%_kde_appsdir/kword/templates/CardsAndLabels/.directory
%_kde_appsdir/kword/templates/CardsAndLabels/.source/*
%_kde_appsdir/kword/templates/Envelopes/*
%_kde_appsdir/kword/templates/Envelopes/.source/*
%_kde_appsdir/kword/templates/Envelopes/.directory
%_kde_appsdir/kword/templates/Normal/*
%_kde_appsdir/kword/templates/Normal/.directory
%_kde_appsdir/kword/templates/Normal/.source/*
%_kde_appsdir/xsltfilter/export/kword/xslfo/*
%_kde_datadir/kde4/services/kword_*
%_kde_datadir/kde4/services/krossmodulekword.desktop
%_kde_datadir/kde4/services/kwordpart.desktop
%_kde_datadir/kde4/services/xslt_export.desktop
%_kde_datadir/kde4/services/xslt_import.desktop
%_kde_datadir/kde4/servicetypes/kwmailmerge.desktop

%_kde_libdir/kde4/krossmodulekword.so
%_kde_libdir/kde4/libkwordkword1dot3import.so
%_kde_libdir/kde4/libkwordpart.so
%_kde_libdir/kde4/libabiwordimport.so
%_kde_libdir/kde4/libamiproexport.so
%_kde_libdir/kde4/libamiproimport.so
%_kde_libdir/kde4/libapplixspreadimport.so
%_kde_libdir/kde4/libapplixwordimport.so
%_kde_libdir/kde4/libasciiexport.so
%_kde_libdir/kde4/libasciiimport.so
%_kde_libdir/kde4/libcsvexport.so
%_kde_libdir/kde4/libcsvimport.so
%_kde_libdir/kde4/libdbaseimport.so
%_kde_libdir/kde4/libdocbookexport.so
%_kde_libdir/kde4/libexcelimport.so
%_kde_libdir/kde4/libgenerickofilter.so
%_kde_libdir/kde4/libgnumericexport.so
%_kde_libdir/kde4/libgnumericimport.so
%_kde_libdir/kde4/libhancomwordimport.so
%_kde_libdir/kde4/libhtmlexport.so
%_kde_libdir/kde4/libhtmlimport.so
%_kde_libdir/kde4/libkounavailpart.so
%_kde_libdir/kde4/libmswriteexport.so
%_kde_libdir/kde4/libmswriteimport.so
%_kde_libdir/kde4/liboowriterexport.so
%_kde_libdir/kde4/liboowriterimport.so
%_kde_libdir/kde4/libopencalcexport.so
%_kde_libdir/kde4/libopencalcimport.so
%_kde_libdir/kde4/libpalmdocexport.so
%_kde_libdir/kde4/libpalmdocimport.so
%_kde_libdir/kde4/libqproimport.so
%_kde_libdir/kde4/librtfexport.so
%_kde_libdir/kde4/librtfimport.so
%_kde_libdir/kde4/libwmlexport.so
%_kde_libdir/kde4/libwmlimport.so
%_kde_libdir/kde4/libwpexport.so
%_kde_libdir/kde4/libwpgimport.so
%_kde_libdir/kde4/libwpimport.so
%_kde_libdir/kde4/libxsltexport.so
%_kde_libdir/kde4/libxsltimport.so
%_kde_libdir/libkdeinit4_kword.so

%dir   %_kde_docdir/HTML/en/kword
%doc   %_kde_docdir/HTML/en/kword/*.png
%doc   %_kde_docdir/HTML/en/kword/*.docbook
%doc   %_kde_docdir/HTML/en/kword/index.cache.bz2

#--------------------------------------------------------------------

%define kwordexportfilters_major 5
%define libkwordexportfilters %mklibname kwordexportfilters %kwordexportfilters_major

%package -n %libkwordexportfilters
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkwordexportfilters
Koffice 2 core library.

%post -n   %libkwordexportfilters -p /sbin/ldconfig
%postun -n %libkwordexportfilters -p /sbin/ldconfig

%files -n %libkwordexportfilters
%defattr(-,root,root)
%_kde_libdir/libkwordexportfilters.so.%kwordexportfilters_major
%_kde_libdir/libkwordexportfilters.so.%kwordexportfilters_major.0.0

#--------------------------------------------------------------------

%define kwordprivate_major 5
%define libkwordprivate %mklibname kwordprivate %kwordprivate_major

%package -n %libkwordprivate
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkwordprivate
Koffice 2 core library.

%post -n   %libkwordprivate -p /sbin/ldconfig
%postun -n %libkwordprivate -p /sbin/ldconfig

%files -n %libkwordprivate
%defattr(-,root,root)
%_kde_libdir/libkwordprivate.so.%kwordprivate_major
%_kde_libdir/libkwordprivate.so.%kwordprivate_major.0.0

#--------------------------------------------------------------------

%package kplato
Summary:	A new project management application for koffice2.
Group:		Graphical desktop/KDE
Requires:	koffice2-core = %version-%release
URL:            http://www.koffice.org/
Provides:       %name-apps
Provides:       kplato2

%description kplato
A new project management application for koffice2.

%post kplato
/sbin/ldconfig
%update_menus
%{update_desktop_database}

%postun kplato
/sbin/ldconfig
%clean_menus
%{update_desktop_database}


%files kplato
%defattr(-,root,root)
%_kde_bindir/kplato
%_kde_datadir/applications/kde4/kplato.desktop
%_kde_appsdir/kplato/icons/crystalsvg/scalable/actions/template_timechart.svgz
%_kde_appsdir/kplato/icons/hicolor/22x22/actions/*
%_kde_appsdir/kplato/kplato.rc
%_kde_appsdir/kplato/kplato_readonly.rc
%_kde_appsdir/kplato/reports/.source/resourcelist.ktf
%_kde_appsdir/kplato/reports/.source/tasklist.ktf
%_kde_appsdir/kplato/reports/resourcelist.desktop
%_kde_appsdir/kplato/reports/tasklist.desktop
%_kde_appsdir/kplato/templates/Simple/.directory
%_kde_appsdir/kplato/templates/Simple/.source/8HourDay-40HourWeek.kplatot
%_kde_appsdir/kplato/templates/Simple/.source/Plain.kplatot
%_kde_appsdir/kplato/templates/Simple/8HourDay-40HourWeek.desktop
%_kde_appsdir/kplato/templates/Simple/Plain.desktop
%_kde_libdir/kde4/libkplatopart.so
%_kde_libdir/libkdeinit4_kplato.so
%_kde_appsdir/kplato/icons/hicolor/48x48/actions/template_timechart.png
%_kde_iconsdir/crystalsvg/scalable/apps/kplato.svgz
%_kde_datadir/kde4/services/kplatopart.desktop
%_kde_iconsdir/hicolor/*/*/kplato.*

%dir %_kde_docdir/HTML/en/kplato
%doc %_kde_docdir/HTML/en/kplato/*.docbook
%doc %_kde_docdir/HTML/en/kplato/*.png
%doc %_kde_docdir/HTML/en/kplato/index.cache.bz2

#--------------------------------------------------------------------

%define kplatoprivate_major 5
%define libkplatoprivate %mklibname kplatoprivate %kplatoprivate_major

%package -n %libkplatoprivate
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkplatoprivate
Koffice 2 core library.

%post -n   %libkplatoprivate -p /sbin/ldconfig
%postun -n %libkplatoprivate -p /sbin/ldconfig

%files -n %libkplatoprivate
%defattr(-,root,root)
%_kde_libdir/libkplatoprivate.so.%kplatoprivate_major
%_kde_libdir/libkplatoprivate.so.%kplatoprivate_major.0.0

#--------------------------------------------------------------------


%package kspread
Summary:	SpreadSheet for koffice2.
Group:		Graphical desktop/KDE
Requires:	%name-core = %{epoch}:%{version}-%{release}
URL:            http://www.koffice.org/
Provides:       %name-apps
Provides:       kpsread2

%description kspread
KSpread is a spreadsheet for kde project

%post kspread
/sbin/ldconfig
%update_menus
%{update_desktop_database}


%postun kspread
/sbin/ldconfig
%clean_menus
%{clean_desktop_database}

%files kspread
%defattr(-,root,root)
%_kde_bindir/kspread
%_kde_libdir/kde4/krossmodulekspread.so
%_kde_libdir/kde4/libkspreadhtmlexport.so
%_kde_libdir/kde4/libkspreadinsertcalendar.so
%_kde_libdir/kde4/libkspreadlatexexport.so
%_kde_libdir/kde4/libkspreadpart.so
%_kde_libdir/kde4/libkspreadsolver.so
%_kde_libdir/libkdeinit4_kspread.so

%_kde_datadir/applications/kde4/kspread.desktop
%_kde_appsdir/konqueror/servicemenus/kspread_konqi.desktop
%_kde_appsdir/kspread/dtd/kspread.dtd
%_kde_appsdir/kspread/functions/*.xml
%_kde_appsdir/kspread/icons/*/*/*/*
%_kde_iconsdir/hicolor/*/apps/kspread.png
%_kde_appsdir/kspread/kpartplugins/insertcalendar.rc
%_kde_appsdir/kspread/kpartplugins/scripting.rc
%_kde_appsdir/kspread/kpartplugins/solver.rc
%_kde_appsdir/kspread/kspread.rc
%_kde_appsdir/kspread/kspread_readonly.rc
%_kde_appsdir/kspread/scripts/extensions/*.py
%_kde_appsdir/kspread/scripts/extensions/*.ui
%_kde_appsdir/kspread/scripts/functions/*.py
%_kde_appsdir/kspread/scripts/scripts.rc
%_kde_appsdir/kspread/sheetstyles/*
%_kde_appsdir/kspread/templates/Business/.directory
%_kde_appsdir/kspread/templates/Business/.source/*
%_kde_appsdir/kspread/templates/Business/*
%_kde_appsdir/kspread/templates/General/.directory
%_kde_appsdir/kspread/templates/General/.source/*
%_kde_appsdir/kspread/templates/General/*
%_kde_appsdir/kspread/templates/HomeFamily/.directory
%_kde_appsdir/kspread/templates/HomeFamily/.source/*
%_kde_appsdir/kspread/templates/HomeFamily/*
%_kde_datadir/config.kcfg/kspread.kcfg
%dir %_kde_docdir/HTML/en/kspread
%doc %_kde_docdir/HTML/en/kspread/*.png
%doc %_kde_docdir/HTML/en/kspread/*.docbook
%doc %_kde_docdir/HTML/en/kspread/index.cache.bz2

%_kde_datadir/kde4/services/krossmodulekspread.desktop
%_kde_datadir/kde4/services/kspread_*.desktop
%_kde_datadir/kde4/services/kspreadpart.desktop

#--------------------------------------------------------------------

%define kspread_major 5
%define libkspreadcommon %mklibname kspreadcommon %kspread_major

%package -n %libkspreadcommon
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkspreadcommon
Koffice 2 core library.

%post -n %libkspreadcommon -p /sbin/ldconfig
%postun -n %libkspreadcommon -p /sbin/ldconfig

%files -n %libkspreadcommon
%defattr(-,root,root)
%_kde_libdir/libkspreadcommon.so.%kspread_major
%_kde_libdir/libkspreadcommon.so.%kspread_major.0.0

#--------------------------------------------------------------------

%package kpresenter
Summary:	Presentation for koffice2.
Group:		Graphical desktop/KDE
Requires:	koffice2-core = %{epoch}:%{version}-%{release}
URL:            http://www.koffice.org/
Requires:       %name-kformula
Requires:	xdg-utils
Provides:       %name-apps
Provides:       kpresenter2

%description kpresenter
KPresenter is a presentation for kde project.

%post kpresenter
/sbin/ldconfig
%update_menus
%{update_desktop_database}

%postun kpresenter
/sbin/ldconfig
%clean_menus
%{clean_desktop_database}


%files kpresenter
%defattr(-,root,root)
%_kde_bindir/kpresenter
%_kde_libdir/kde4/libkpresenterpart.so
%_kde_libdir/libkdeinit4_kpresenter.so
%_kde_datadir/applications/kde4/kpresenter.desktop
%_kde_appsdir/konqueror/servicemenus/kpresenter_konqi.desktop
%_kde_appsdir/kpresenter/kpartplugins/scan-kpresenter.rc
%_kde_appsdir/kpresenter/*.rc
%_kde_appsdir/kpresenter/pics/rotate/*.png
%_kde_appsdir/kpresenter/pics/*.png
%_kde_iconsdir/hicolor/*/apps/kpresenter.png
%_kde_datadir/kde4/services/kpresenterpart.desktop
%dir %_kde_docdir/HTML/en/kpresenter
%doc %_kde_docdir/HTML/en/kpresenter/*.docbook
%doc %_kde_docdir/HTML/en/kpresenter/*.png
%doc %_kde_docdir/HTML/en/kpresenter/index.cache.bz2

#--------------------------------------------------------------------

%define kpresenterprivate_major 5
%define libkpresenterprivate %mklibname kpresenterprivate %kpresenterprivate_major

%package -n %libkpresenterprivate
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkpresenterprivate
Koffice 2 core library.

%post -n %libkpresenterprivate -p /sbin/ldconfig
%postun -n %libkpresenterprivate -p /sbin/ldconfig

%files -n %libkpresenterprivate
%defattr(-,root,root)
%_kde_libdir/libkpresenterprivate.so.%kpresenterprivate_major
%_kde_libdir/libkpresenterprivate.so.%kpresenterprivate_major.0.0

#--------------------------------------------------------------------

%package kformula
Summary:	Formula for koffice2.
Group:		Graphical desktop/KDE
Requires:	koffice2-core = %{epoch}:%{version}-%{release}
URL:            http://www.koffice.org/
Provides:       %name-apps
Provides:       kformula2

%description kformula
KFormula is a formula for kde project.

%post kformula
/sbin/ldconfig
%update_menus
%{update_desktop_database}


%postun kformula
/sbin/ldconfig
%clean_menus
%{clean_desktop_database}


%files kformula
%defattr(-,root,root)
%_kde_bindir/kformula
%_kde_libdir/kde4/libkformulapart.so
%_kde_libdir/libkdeinit4_kformula.so
%_kde_datadir/applications/kde4/kformula.desktop
%_kde_appsdir/formulashape/fonts/*.ttf
%_kde_appsdir/kformula/kformula.rc
%_kde_appsdir/kformula/kformula_readonly.rc
%_kde_appsdir/kformula/tips
%_kde_appsdir/konqueror/servicemenus/kformula_konqi.desktop
%_kde_docdir/HTML/en/kformula/*.png
%_kde_docdir/HTML/en/kformula/index.cache.bz2
%_kde_docdir/HTML/en/kformula/*.docbook
%_kde_iconsdir/hicolor/*/apps/kformula.png
%_kde_datadir/kde4/services/kformulapart.desktop

#--------------------------------------------------------------------

%define kformulalib_major 5
%define libkformulalib %mklibname kformulalib %kformulalib_major

%package -n %libkformulalib
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkformulalib
Koffice 2 core library.

%post -n %libkformulalib -p /sbin/ldconfig
%postun -n %libkformulalib -p /sbin/ldconfig

%files -n %libkformulalib
%defattr(-,root,root)
%_kde_libdir/libkformulalib.so.5
%_kde_libdir/libkformulalib.so.5.0.0

#--------------------------------------------------------------------

%define kformulaprivate_major 5
%define  libkformulaprivate %mklibname kformulaprivate %kformulaprivate_major

%package -n %libkformulaprivate
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkformulaprivate
Koffice 2 core library.

%post -n %libkformulaprivate -p /sbin/ldconfig
%postun -n %libkformulaprivate -p /sbin/ldconfig

%files -n %libkformulaprivate
%defattr(-,root,root)
%_kde_libdir/libkformulaprivate.so.%kformulaprivate_major
%_kde_libdir/libkformulaprivate.so.%kformulaprivate_major.0.0

#--------------------------------------------------------------------

%package koshell
Summary:	Koshell for koffice2.
Group:		Graphical desktop/KDE
Requires:	%name-core = %{epoch}:%{version}-%{release}
URL:            http://www.koffice.org/
Provides:       %name-apps
Provides:       koshell2

%description koshell
Koshell for kde project.

%post koshell
/sbin/ldconfig
%update_menus

%postun koshell
/sbin/ldconfig
%clean_menus


%files koshell
%defattr(-,root,root)
%_kde_docdir/HTML/en/koshell/*.bz2
%_kde_docdir/HTML/en/koshell/*.docbook
%_kde_docdir/HTML/en/koshell/*.png

#--------------------------------------------------------------------

%package kivio
Summary:	Diagramme for koffice2.
Group:		Graphical desktop/KDE
Requires:	%name-core = %{epoch}:%{version}-%{release}
URL:            http://www.koffice.org/
Provides:       %name-apps
Provides:       kivio2

%description kivio
Kivio is a diagramme for kde project.

%post kivio
/sbin/ldconfig
%update_menus
%{update_desktop_database}


%postun kivio
/sbin/ldconfig
%clean_menus
%{update_desktop_database}

%files kivio
%defattr(-,root,root)
%_kde_bindir/kivio
%_kde_libdir/kde4/libkiviopart.so
%_kde_libdir/libkdeinit4_kivio.so
%_kde_datadir/applications/kde4/kivio.desktop
%_kde_appsdir/kivio/icons/crystalsvg/scalable/actions/template_basicworkflow.svgz
%_kde_appsdir/kivio/icons/crystalsvg/scalable/actions/template_empty.svgz
%_kde_appsdir/kivio/icons/hicolor/48x48/actions/template_basicflow.png
%_kde_appsdir/kivio/icons/hicolor/48x48/actions/template_empty.png
%_kde_appsdir/kivio/kivio.rc
%_kde_appsdir/kivio/templates/Basic/.directory
%_kde_appsdir/kivio/templates/Basic/.source/empty.otg
%_kde_appsdir/kivio/templates/Basic/empty.desktop
%_kde_appsdir/konqueror/servicemenus/kivio_konqi.desktop
%dir %_kde_docdir/HTML/en/kivio
%doc %_kde_docdir/HTML/en/kivio/*.docbook
%doc %_kde_docdir/HTML/en/kivio/index.cache.bz2
%_kde_datadir/kde4/services/kiviopart.desktop

#--------------------------------------------------------------------

%define  kivioprivate_major 5
%define  libkivioprivate %mklibname kivioprivate  %kivioprivate_major 

%package -n %libkivioprivate
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkivioprivate
Koffice 2 core library.

%post -n %libkivioprivate -p /sbin/ldconfig
%postun -n %libkivioprivate -p /sbin/ldconfig

%files -n %libkivioprivate
%defattr(-,root,root)
%_kde_libdir/libkivioprivate.so.%kivioprivate_major 
%_kde_libdir/libkivioprivate.so.%kivioprivate_major.0.0


#--------------------------------------------------------------------

%package kchart
Summary:        kchart
Group:          Graphical desktop/KDE
Requires:       %name-core = %{epoch}:%{version}-%{release}
URL:            http://www.koffice.org/
Provides:       %name-apps
Provides:       kchart2

%description kchart
Karbon is a scalable drawing for kde project.

%post kchart
/sbin/ldconfig
%update_menus
%{update_desktop_database}


%postun kchart
/sbin/ldconfig
%clean_menus
%{update_desktop_database}

%files kchart
%defattr(-,root,root)
%{_kde_bindir}/kchart

%_kde_libdir/kde4/chartshape.so
%_kde_libdir/kde4/libkchartpart.so
%_kde_libdir/libkdeinit4_kchart.so

%{_kde_datadir}/kde4/services/chartshape.desktop
%{_kde_datadir}/kde4/services/kchartpart.desktop

%{_kde_datadir}/applications/kde4/kchart.desktop
%{_kde_appsdir}/kchart/icons/*/*/actions/*
%{_kde_appsdir}/kchart/kchart.rc
%{_kde_appsdir}/kchart/kchart_readonly.rc
%{_kde_appsdir}/kchart/pics/chart*.png
%{_kde_appsdir}/kchart/templates/chart/.directory
%{_kde_appsdir}/kchart/templates/chart/.source/BarChart.chrt
%{_kde_appsdir}/kchart/templates/chart/.source/Empty.chrt
%{_kde_appsdir}/kchart/templates/chart/BarChart.desktop
%{_kde_appsdir}/kchart/templates/chart/Empty.desktop
%{_kde_iconsdir}/hicolor/*/apps/kchart.png

#--------------------------------------------------------------------

%define  kdchart_major 5
%define  libkdchart %mklibname kdchart  %kdchart_major

%package -n %libkdchart
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkdchart
Koffice 2 core library.

%post -n %libkdchart -p /sbin/ldconfig
%postun -n %libkdchart -p /sbin/ldconfig

%files -n %libkdchart
%defattr(-,root,root)
%_kde_libdir/libkdchart.so.%kdchart_major
%_kde_libdir/libkdchart.so.%kdchart_major.0.0

#--------------------------------------------------------------------

%define  kchartcommon_major 5
%define  libkchartcommon %mklibname kchartcommon %kchartcommon_major

%package -n %libkchartcommon
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkchartcommon
Koffice 2 core library.

%post -n %libkchartcommon -p /sbin/ldconfig
%postun -n %libkchartcommon -p /sbin/ldconfig

%files -n %libkchartcommon
%defattr(-,root,root)
%_kde_libdir/libkchartcommon.so.%kchartcommon_major
%_kde_libdir/libkchartcommon.so.%kchartcommon_major.0.0

#--------------------------------------------------------------------

%package krita
Summary:       A pixel-based image manipulation program.
Group:         Graphical desktop/KDE
URL:            http://www.koffice.org/
Provides:       %name-apps
Provides:       krita2

%description krita
Krita is a pixel-based image manipulation program.

%post krita
/sbin/ldconfig
%update_menus
%{update_desktop_database}

%postun krita
/sbin/ldconfig
%clean_menus
%{update_desktop_database}

%files krita
%defattr(-,root,root)

%_kde_bindir/krita
%_kde_libdir/kde4/*krita*
%_kde_libdir/libkisexiv2.so.5
%_kde_libdir/libkisexiv2.so.5.0.0
%_kde_libdir/libkdeinit4_krita.so
%_kde_datadir/applications/kde4/krita.desktop
%_kde_datadir/applications/kde4/krita_jpeg.desktop
%_kde_datadir/applications/kde4/krita_openexr.desktop
%_kde_datadir/applications/kde4/krita_png.desktop
%_kde_datadir/applications/kde4/krita_tiff.desktop
%_kde_appsdir/konqueror/servicemenus/krita_konqi.desktop
%_kde_datadir/kde4/services/*krita*.desktop
%_kde_datadir/kde4/servicetypes/*krita*.desktop
%_kde_iconsdir/hicolor/*/apps/krita.png
%_kde_appsdir/krita/brushes/*
%_kde_appsdir/krita/dtd/krita.dtd
%_kde_appsdir/krita/gradients/*
%_kde_appsdir/krita/icons/crystalsvg/scalable/actions/template_cmyk_empty.svgz
%_kde_appsdir/krita/icons/crystalsvg/scalable/actions/template_gray_empty.svgz
%_kde_appsdir/krita/icons/crystalsvg/scalable/actions/template_rgb_empty.svgz
%_kde_appsdir/krita/icons/hicolor/48x48/actions/template_cmyk_empty.png
%_kde_appsdir/krita/icons/hicolor/48x48/actions/template_gray_empty.png
%_kde_appsdir/krita/icons/hicolor/48x48/actions/template_rgb_empty.png
%_kde_appsdir/krita/images/*.png
%_kde_appsdir/krita/kpartplugins/scan-krita.rc
%_kde_appsdir/krita/krita.rc
%_kde_appsdir/krita/krita_readonly.rc
%_kde_appsdir/krita/palettes/*
%_kde_appsdir/krita/patterns/*
%_kde_appsdir/krita/pics/*   
%_kde_appsdir/krita/profiles/*
%_kde_appsdir/krita/scripts/extensions/*
%_kde_appsdir/krita/scripts/filters/*
%_kde_appsdir/krita/scripts/*.rc
%_kde_appsdir/krita/shaders/*
%_kde_appsdir/krita/templates/cmyk/.directory
%_kde_appsdir/krita/templates/cmyk/.source/white_2000x800.kra
%_kde_appsdir/krita/templates/cmyk/white_2000x800.desktop
%_kde_appsdir/krita/templates/gray/.directory
%_kde_appsdir/krita/templates/gray/.source/white_640x480.kra
%_kde_appsdir/krita/templates/gray/white_640x480.desktop
%_kde_appsdir/krita/templates/rgb/.directory
%_kde_appsdir/krita/templates/rgb/.source/transparent_1024x768.kra
%_kde_appsdir/krita/templates/rgb/.source/transparent_1280x1024.kra
%_kde_appsdir/krita/templates/rgb/.source/transparent_1600x1200.kra
%_kde_appsdir/krita/templates/rgb/.source/transparent_640x480.kra
%_kde_appsdir/krita/templates/rgb/.source/white_1024x768.kra
%_kde_appsdir/krita/templates/rgb/.source/white_1280x1024.kra
%_kde_appsdir/krita/templates/rgb/.source/white_1600x1200.kra
%_kde_appsdir/krita/templates/rgb/.source/white_640x480.kra
%_kde_appsdir/krita/templates/rgb/transparent_1024x768.desktop
%_kde_appsdir/krita/templates/rgb/transparent_1280x1024.desktop
%_kde_appsdir/krita/templates/rgb/transparent_1600x1200.desktop
%_kde_appsdir/krita/templates/rgb/transparent_640x480.desktop
%_kde_appsdir/krita/templates/rgb/white_1024x768.desktop
%_kde_appsdir/krita/templates/rgb/white_1280x1024.desktop
%_kde_appsdir/krita/templates/rgb/white_1600x1200.desktop
%_kde_appsdir/krita/templates/rgb/white_640x480.desktop
%_kde_appsdir/kritaplugins/bracketing2hdr.rc
%_kde_appsdir/kritaplugins/colorrange.rc
%_kde_appsdir/kritaplugins/colorspaceconversion.rc
%_kde_appsdir/kritaplugins/dropshadow.rc
%_kde_appsdir/kritaplugins/dynamicbrush.rc
%_kde_appsdir/kritaplugins/histogram.rc
%_kde_appsdir/kritaplugins/imageseparate.rc
%_kde_appsdir/kritaplugins/imagesize.rc
%_kde_appsdir/kritaplugins/kritafiltersgallery.rc
%_kde_appsdir/kritaplugins/metadataeditor.rc
%_kde_appsdir/kritaplugins/metadataeditor/dublincore.rc
%_kde_appsdir/kritaplugins/metadataeditor/dublincore.ui
%_kde_appsdir/kritaplugins/metadataeditor/exif.rc
%_kde_appsdir/kritaplugins/metadataeditor/exif.ui
%_kde_appsdir/kritaplugins/modify_selection.rc
%_kde_appsdir/kritaplugins/rotateimage.rc
%_kde_appsdir/kritaplugins/scripting.rc
%_kde_appsdir/kritaplugins/shearimage.rc
%_kde_appsdir/kritaplugins/together.rc
%_kde_appsdir/kritaplugins/bigbrother.rc
%_kde_appsdir/kritaplugins/tonemapping.rc
%_kde_appsdir/kritaplugins/kritaglsl.rc

%dir %_kde_docdir/HTML/en/krita
%doc %_kde_docdir/HTML/en/krita/*.docbook
%doc %_kde_docdir/HTML/en/krita/*.png
%doc %_kde_docdir/HTML/en/krita/index.cache.bz2

#--------------------------------------------------------------------

%define  libkrita_xyz_u16_major 5
%define  libkrita_xyz_u16 %mklibname krita_xyz_u16  %libkrita_xyz_u16_major

%package -n %libkrita_xyz_u16
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkrita_xyz_u16
Koffice 2 core library.

%post -n %libkrita_xyz_u16 -p /sbin/ldconfig
%postun -n %libkrita_xyz_u16 -p /sbin/ldconfig

%files -n %libkrita_xyz_u16
%defattr(-,root,root)
%_kde_libdir/libkrita_xyz_u16.so.%libkrita_xyz_u16_major
%_kde_libdir/libkrita_xyz_u16.so.%libkrita_xyz_u16_major.0.0


#--------------------------------------------------------------------

%define  libkritaui_major 5
%define  libkritaui %mklibname kritaui  %libkritaui_major

%package -n %libkritaui
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkritaui
Koffice 2 core library.

%post -n %libkritaui -p /sbin/ldconfig
%postun -n %libkritaui -p /sbin/ldconfig

%files -n %libkritaui
%defattr(-,root,root)
%_kde_libdir/libkritaui.so.%libkritaui_major
%_kde_libdir/libkritaui.so.%libkritaui_major.0.0

#--------------------------------------------------------------------

%define  libkrossmodulekrita_major 5
%define  libkrossmodulekrita %mklibname krossmodulekrita %libkrossmodulekrita_major

%package -n %libkrossmodulekrita
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkrossmodulekrita
Koffice 2 core library.

%post -n %libkrossmodulekrita -p /sbin/ldconfig
%postun -n %libkrossmodulekrita -p /sbin/ldconfig

%files -n %libkrossmodulekrita
%defattr(-,root,root)
%_kde_libdir/libkrossmodulekrita.so.%libkrossmodulekrita_major
%_kde_libdir/libkrossmodulekrita.so.%libkrossmodulekrita_major.0.0

#--------------------------------------------------------------------

%define  libkritadynamicbrush_major 5
%define  libkritadynamicbrush %mklibname kritadynamicbrush  %libkritadynamicbrush_major

%package -n %libkritadynamicbrush
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkritadynamicbrush
Koffice 2 core library.

%post -n %libkritadynamicbrush -p /sbin/ldconfig
%postun -n %libkritadynamicbrush -p /sbin/ldconfig

%files -n %libkritadynamicbrush
%defattr(-,root,root)
%_kde_libdir/libkritadynamicbrush.so.5
%_kde_libdir/libkritadynamicbrush.so.5.0.0

#--------------------------------------------------------------------

%define  libkritafilterslistdynamicprogram_major 5
%define  libkritafilterslistdynamicprogram %mklibname kritafilterslistdynamicprogram  %libkritafilterslistdynamicprogram_major

%package -n %libkritafilterslistdynamicprogram
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkritafilterslistdynamicprogram
Koffice 2 core library.

%post -n %libkritafilterslistdynamicprogram -p /sbin/ldconfig
%postun -n %libkritafilterslistdynamicprogram -p /sbin/ldconfig

%files -n %libkritafilterslistdynamicprogram
%defattr(-,root,root)
%_kde_libdir/libkritafilterslistdynamicprogram.so.%libkritafilterslistdynamicprogram_major
%_kde_libdir/libkritafilterslistdynamicprogram.so.%libkritafilterslistdynamicprogram_major.0.0

#--------------------------------------------------------------------

%define  libkritagrayscale_major 5
%define  libkritagrayscale %mklibname kritagrayscale  %libkritagrayscale_major

%package -n %libkritagrayscale
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkritagrayscale
Koffice 2 core library.

%post -n %libkritagrayscale -p /sbin/ldconfig
%postun -n %libkritagrayscale -p /sbin/ldconfig

%files -n %libkritagrayscale
%defattr(-,root,root)
%_kde_libdir/libkritagrayscale.so.5
%_kde_libdir/libkritagrayscale.so.5.0.0

#--------------------------------------------------------------------

%define  libkritaimage_major 5
%define  libkritaimage %mklibname kritaimage  %libkritaimage_major

%package -n %libkritaimage
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkritaimage
Koffice 2 core library.

%post -n %libkritaimage -p /sbin/ldconfig
%postun -n %libkritaimage -p /sbin/ldconfig

%files -n %libkritaimage
%defattr(-,root,root)
%_kde_libdir/libkritaimage.so.%libkritaimage_major
%_kde_libdir/libkritaimage.so.%libkritaimage_major.0.0

#--------------------------------------------------------------------

%define  libkritargbf16hdr_major 5
%define  libkritargbf16hdr %mklibname kritargbf16hdr  %libkritargbf16hdr_major

%package -n %libkritargbf16hdr
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkritargbf16hdr
Koffice 2 core library.

%post -n %libkritargbf16hdr -p /sbin/ldconfig
%postun -n %libkritargbf16hdr -p /sbin/ldconfig

%files -n %libkritargbf16hdr
%defattr(-,root,root)
%_kde_libdir/libkritargbf16hdr.so.%libkritargbf16hdr_major
%_kde_libdir/libkritargbf16hdr.so.%libkritargbf16hdr_major.0.0

#--------------------------------------------------------------------

%define  libkritargbf32hdr_major 5
%define  libkritargbf32hdr %mklibname kritargbf32hdr  %libkritargbf32hdr_major

%package -n %libkritargbf32hdr
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkritargbf32hdr
Koffice 2 core library.

%post -n %libkritargbf32hdr -p /sbin/ldconfig
%postun -n %libkritargbf32hdr -p /sbin/ldconfig

%files -n %libkritargbf32hdr
%defattr(-,root,root)
%_kde_libdir/libkritargbf32hdr.so.%libkritargbf32hdr_major
%_kde_libdir/libkritargbf32hdr.so.%libkritargbf32hdr_major.0.0

#--------------------------------------------------------------------

%package karbon
Summary:	Scalable drawing for koffice2.
Group:		Graphical desktop/KDE
Requires:	%name-core = %{epoch}:%{version}-%{release}
URL:            http://www.koffice.org/
Provides:       %name-apps
Provides:       karbon2

%description karbon
Karbon is a scalable drawing for kde project.

%post karbon
/sbin/ldconfig
%update_menus
%{update_desktop_database}


%postun karbon
/sbin/ldconfig
%clean_menus
%{update_desktop_database}


%files karbon
%defattr(-,root,root)
 %_kde_bindir/karbon
%_kde_libdir/kde4/karbon_flattenpathplugin.so
%_kde_libdir/kde4/karbon_insertknotsplugin.so
%_kde_libdir/kde4/karbon_roundcornersplugin.so
%_kde_libdir/kde4/karbon_shadoweffectplugin.so
%_kde_libdir/kde4/karbon_whirlpinchplugin.so
%_kde_libdir/kde4/karbondockersplugin.so
%_kde_libdir/kde4/karbontools.so
%_kde_libdir/kde4/libkarbonpart.so
%_kde_libdir/kde4/libkarbonpngexport.so
%_kde_libdir/kde4/libkarbonsvgexport.so
%_kde_libdir/kde4/libwmfexport.so
%_kde_libdir/kde4/libwmfimport.so
%_kde_libdir/libkdeinit4_karbon.so
%_kde_datadir/applications/kde4/karbon.desktop
%_kde_appsdir/karbon/gradients/allcolors.kgr
%_kde_appsdir/karbon/gradients/simple.kgr
%_kde_appsdir/karbon/icons/*/*/*/*
%_kde_appsdir/karbon/karbon.rc
%_kde_appsdir/karbon/karbon_readonly.rc
%_kde_appsdir/karbon/kpartplugins/*.rc
%_kde_appsdir/karbon/templates/Basic/.directory
%_kde_appsdir/karbon/templates/Basic/.source/empty.karbon
%_kde_appsdir/karbon/templates/Basic/empty.desktop
%_kde_appsdir/konqueror/servicemenus/karbon_konqi.desktop

%dir %_kde_docdir/HTML/en/karbon
%doc %_kde_docdir/HTML/en/karbon/*.bz2
%doc %_kde_docdir/HTML/en/karbon/*.docbook

%_kde_datadir/kde4/services/karbon*.desktop
%_kde_datadir/kde4/servicetypes/karbon_module.desktop
%_kde_datadir/templates/.source/Illustration.karbon

#--------------------------------------------------------------------

%define  karboncommon_major 5
%define  libkarboncommon %mklibname karboncommon  %karboncommon_major

%package -n %libkarboncommon
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkarboncommon
Koffice 2 core library.

%post -n %libkarboncommon -p /sbin/ldconfig
%postun -n %libkarboncommon -p /sbin/ldconfig

%files -n %libkarboncommon
%defattr(-,root,root)
%_kde_libdir/libkarboncommon.so.%karboncommon_major
%_kde_libdir/libkarboncommon.so.%karboncommon_major.0.0

#--------------------------------------------------------------------

%package kexi
Summary:    An integrated environment for managing data.
Group:	    Graphical desktop/KDE
Requires:   %name-core = %{epoch}:%{version}-%{release}
URL:        http://www.koffice.org/
Provides:   %name-apps
Provides:   kexi2
Requires:   keximdb 


%description kexi
Karbon is an integrated environment for managing data.

%post kexi
/sbin/ldconfig
%update_menus
%{update_desktop_database}

%postun kexi
/sbin/ldconfig
%clean_menus
%{update_desktop_database}

%files kexi
%defattr(-,root,root)
%_kde_bindir/kexi
%_kde_bindir/ksqlite
%_kde_bindir/ksqlite2
%_kde_bindir/ksqlite2to3

%_kde_libdir/kde4/kexidb_mysqldriver.so
%_kde_libdir/kde4/kexidb_pqxxsqldriver.so
%_kde_libdir/kde4/keximigrate_pqxx.so
%_kde_libdir/kde4/kexidb_sqlite2driver.so
%_kde_libdir/kde4/kexidb_sqlite3driver.so
%_kde_libdir/kde4/kexihandler_csv_importexport.so
%_kde_libdir/kde4/kexihandler_form.so
%_kde_libdir/kde4/kexihandler_migration.so
%_kde_libdir/kde4/kexihandler_query.so
%_kde_libdir/kde4/kexihandler_relation.so
%_kde_libdir/kde4/kexihandler_table.so
%_kde_libdir/kde4/keximigrate_mysql.so
%_kde_libdir/kde4/kformdesigner_kexidbwidgets.so
%_kde_libdir/kde4/krossmodulekexidb.so
%_kde_datadir/applications/kde4/kexi.desktop
%_kde_appsdir/kexi/icons/hicolor/*/*/*
%_kde_appsdir/kexi/*.rc
%_kde_appsdir/kexi/pics/*.png
%_kde_appsdir/konqueror/servicemenus/kexi_konqi.desktop
%_kde_datadir/config/kexirc

%dir %_kde_docdir/HTML/en/kexi
%doc %_kde_docdir/HTML/en/kexi/*.docbook
%doc %_kde_docdir/HTML/en/kexi/index.cache.bz2
%doc %_kde_docdir/HTML/en/kexi/*.png

%_kde_datadir/kde4/services/kexi/*.desktop
%_kde_datadir/kde4/services/kexidb_mysqldriver.desktop
%_kde_datadir/kde4/services/kexidb_pqxxsqldriver.desktop
%_kde_datadir/kde4/services/keximigrate_pqxx.desktop
%_kde_datadir/kde4/services/kexidb_sqlite2driver.desktop
%_kde_datadir/kde4/services/kexidb_sqlite3driver.desktop
%_kde_datadir/kde4/services/keximigrate_mysql.desktop
%_kde_datadir/kde4/services/kformdesigner/kformdesigner_kexidbfactory.desktop
%_kde_datadir/kde4/servicetypes/kexidb_driver.desktop
%_kde_datadir/kde4/servicetypes/kexihandler.desktop
%_kde_datadir/kde4/servicetypes/keximigration_driver.desktop

#--------------------------------------------------------------------

%define  libkexicore_major 5
%define  libkexicore %mklibname kexicore %libkexicore_major

%package -n %libkexicore
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkexicore
Koffice 2 core library.

%post -n %libkexicore -p /sbin/ldconfig
%postun -n %libkexicore -p /sbin/ldconfig

%files -n %libkexicore
%defattr(-,root,root)
%_kde_libdir/libkexicore.so.%libkexicore_major
%_kde_libdir/libkexicore.so.%libkexicore_major.0.0

#--------------------------------------------------------------------

%define  libkexidatatable_major 5
%define  libkexidatatable %mklibname kexidatatable %libkexidatatable_major

%package -n %libkexidatatable
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkexidatatable
Koffice 2 core library.

%post -n %libkexidatatable -p /sbin/ldconfig
%postun -n %libkexidatatable -p /sbin/ldconfig

%files -n %libkexidatatable
%defattr(-,root,root)
%_kde_libdir/libkexidatatable.so.%libkexidatatable_major
%_kde_libdir/libkexidatatable.so.%libkexidatatable_major.0.0

#--------------------------------------------------------------------

%define  libkexidb_major 5
%define  libkexidb %mklibname kexidb %libkexidb_major

%package -n %libkexidb
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkexidb
Koffice 2 core library.

%post -n %libkexidb -p /sbin/ldconfig
%postun -n %libkexidb -p /sbin/ldconfig

%files -n %libkexidb
%defattr(-,root,root)
%_kde_libdir/libkexidb.so.%libkexidb_major
%_kde_libdir/libkexidb.so.%libkexidb_major.0.0

#--------------------------------------------------------------------

%define  libkexiextendedwidgets_major 5
%define  libkexiextendedwidgets %mklibname kexiextendedwidgets %libkexiextendedwidgets_major

%package -n %libkexiextendedwidgets
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkexiextendedwidgets
Koffice 2 core library.

%post -n %libkexiextendedwidgets -p /sbin/ldconfig
%postun -n %libkexiextendedwidgets -p /sbin/ldconfig

%files -n %libkexiextendedwidgets
%defattr(-,root,root)
%_kde_libdir/libkexiextendedwidgets.so.%libkexiextendedwidgets_major.0.0

#--------------------------------------------------------------------

%define  libkexiformutils_major 5
%define  libkexiformutils %mklibname kexiformutils %libkexiformutils_major

%package -n %libkexiformutils
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkexiformutils
Koffice 2 core library.

%post -n %libkexiformutils -p /sbin/ldconfig
%postun -n %libkexiformutils -p /sbin/ldconfig

%files -n %libkexiformutils
%defattr(-,root,root)
%_kde_libdir/libkexiformutils.so.%libkexiformutils_major
%_kde_libdir/libkexiformutils.so.%libkexiformutils_major.0.0
#--------------------------------------------------------------------

%define  libkexiguiutils_major 5
%define  libkexiguiutils %mklibname kexiguiutils %libkexiguiutils_major

%package -n %libkexiguiutils
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkexiguiutils
Koffice 2 core library.

%post -n %libkexiguiutils -p /sbin/ldconfig
%postun -n %libkexiguiutils -p /sbin/ldconfig

%files -n %libkexiguiutils
%defattr(-,root,root)
%_kde_libdir/libkexiguiutils.so.%libkexiguiutils_major
%_kde_libdir/libkexiguiutils.so.%libkexiguiutils_major.0.0
#--------------------------------------------------------------------

%define  libkeximain_major 5
%define  libkeximain %mklibname keximain %libkeximain_major

%package -n %libkeximain
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkeximain
Koffice 2 core library.

%post -n %libkeximain -p /sbin/ldconfig
%postun -n %libkeximain -p /sbin/ldconfig

%files -n %libkeximain
%defattr(-,root,root)
%_kde_libdir/libkeximain.so.%libkeximain_major
%_kde_libdir/libkeximain.so.%libkeximain_major.0.0

#--------------------------------------------------------------------

%define  libkeximigrate_major 5
%define  libkeximigrate %mklibname keximigrate %libkeximigrate_major

%package -n %libkeximigrate
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkeximigrate
Koffice 2 core library.

%post -n %libkeximigrate -p /sbin/ldconfig
%postun -n %libkeximigrate -p /sbin/ldconfig

%files -n %libkeximigrate
%defattr(-,root,root)
%_kde_libdir/libkeximigrate.so.%libkeximigrate_major
%_kde_libdir/libkeximigrate.so.%libkeximigrate_major.0.0

#--------------------------------------------------------------------

%define  libkexirelationsview_major 5
%define  libkexirelationsview %mklibname kexirelationsview %libkexirelationsview_major

%package -n %libkexirelationsview
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkexirelationsview
Koffice 2 core library.

%post -n %libkexirelationsview -p /sbin/ldconfig
%postun -n %libkexirelationsview -p /sbin/ldconfig

%files -n %libkexirelationsview
%defattr(-,root,root)
%_kde_libdir/libkexirelationsview.so.%libkexirelationsview_major
%_kde_libdir/libkexirelationsview.so.%libkexirelationsview_major.0.0

#--------------------------------------------------------------------

%define  libkexisql2_major 2
%define  libkexisql2 %mklibname kexisql2 %libkexisql2_major

%package -n %libkexisql2
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkexisql2
Koffice 2 core library.

%post -n %libkexisql2 -p /sbin/ldconfig
%postun -n %libkexisql2 -p /sbin/ldconfig

%files -n %libkexisql2
%defattr(-,root,root)
%_kde_libdir/libkexisql2.so.%libkexisql2_major
%_kde_libdir/libkexisql2.so.%libkexisql2_major.8.15

#--------------------------------------------------------------------

%define  libkexisql3_major 3
%define  libkexisql3 %mklibname kexisql3 %libkexisql3_major

%package -n %libkexisql3
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkexisql3
Koffice 2 core library.

%post -n %libkexisql3 -p /sbin/ldconfig
%postun -n %libkexisql3 -p /sbin/ldconfig

%files -n %libkexisql3
%defattr(-,root,root)
%_kde_libdir/libkexisql3.so.%libkexisql3_major
%_kde_libdir/libkexisql3.so.%libkexisql3_major.2.8

#--------------------------------------------------------------------

%define  libkexiutils_major 5
%define  libkexiutils %mklibname kexiutils %libkexiutils_major

%package -n %libkexiutils
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkexiutils
Koffice 2 core library.

%post -n %libkexiutils -p /sbin/ldconfig
%postun -n %libkexiutils -p /sbin/ldconfig

%files -n %libkexiutils
%defattr(-,root,root)
%_kde_libdir/libkexiutils.so.%libkexiutils_major
%_kde_libdir/libkexiutils.so.%libkexiutils_major.0.0

#--------------------------------------------------------------------

%package kugar
Summary:	Kugar for koffice2.
Group:		Graphical desktop/KDE
Requires:	%name-core = %{epoch}:%{version}-%{release}
URL:            http://www.koffice.org/
Provides:       %name-apps
Provides:       kugar2

%description kugar
Kugar for kde project.

%post kugar
/sbin/ldconfig
%update_menus
%{update_desktop_database}


%postun kugar
/sbin/ldconfig
%clean_menus
%{update_desktop_database}

%files kugar
%defattr(-,root,root)
%_kde_bindir/kugar
%_kde_bindir/kudesigner
%_kde_libdir/kde4/libkudesignerpart.so
%_kde_libdir/libkdeinit4_kudesigner.so
%_kde_libdir/kde4/libkugarpart.so
%_kde_libdir/libkdeinit4_kugar.so
%_kde_datadir/applications/kde4/kudesigner.desktop
%_kde_appsdir/kudesigner/icons/*/*/*/*
%_kde_appsdir/kudesigner/*.rc
%_kde_appsdir/kudesigner/templates/General/.directory
%_kde_appsdir/kudesigner/templates/General/.source/*.ktm
%_kde_appsdir/kudesigner/templates/General/*.desktop
%_kde_iconsdir/locolor/*/apps/kudesigner.png
%_kde_datadir/applications/kde4/kugar.desktop
%_kde_appsdir/kugar/dtd/kugartemplate.dtd
%_kde_appsdir/kugar/kugarpart.rc
%_kde_appsdir/kugar/templates/*.kdf
%_kde_appsdir/kugar/templates/*.ktf
%_kde_docdir/HTML/en/kugar/index.cache.bz2
%_kde_docdir/HTML/en/kugar/*.png
%_kde_docdir/HTML/en/kugar/*.docbook
%_kde_iconsdir/hicolor/*/*/kugar*.png
%_kde_datadir/kde4/services/kugarpart.desktop

#--------------------------------------------------------------------

%define  libkugarlib_major 5
%define  libkugarlib %mklibname kugarlib %libkugarlib_major

%package -n %libkugarlib
Summary: Koffice 2 core library
Group: System/Libraries

%description -n %libkugarlib
Koffice 2 core library.

%post -n %libkugarlib -p /sbin/ldconfig
%postun -n %libkugarlib -p /sbin/ldconfig

%files -n %libkugarlib
%defattr(-,root,root)
%_kde_libdir/libkugarlib.so.%libkugarlib_major
%_kde_libdir/libkugarlib.so.%libkugarlib_major.0.0

#--------------------------------------------------------------------

%prep

%setup -q -n %oname-%version

%build

%cmake_kde4

%make
%if %compile_apidox
make apidox
%endif

%install
rm -fr %buildroot

cd build/
make DESTDIR=%buildroot install

%if %compile_apidox
make install-apidox DESTDIR=%buildroot/
list=`ls -d */ -1`;
echo $list;
for i in $list ; do
	cd $i;
		if grep '^include .*Doxyfile.am' Makefile.am; then
			echo "installing apidox from $i" ;	
			make install-apidox DESTDIR=%buildroot/ ; 
		fi
	cd ../;
done;
%endif

%clean
rm -fr %buildroot


%changelog
* Wed Oct 03 2007 Funda Wang <fundawang@mandriva.org> 1.9.92-0.714126.3mdv2008.0
+ Revision: 94946
- fix requries version

* Tue Oct 02 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1:1.9.92-0.714126.2mdv2008.0
+ Revision: 94744
- Fix requires (use epoch)

* Mon Oct 01 2007 Tiago Salem <salem@mandriva.com.br> 1:1.9.92-0.714126.1mdv2008.0
+ Revision: 94133
- Moving libkisexiv2 to krita package
- Removing duplicated libabiwordexport.so entry
- Fixing Requires on kword package

* Sun Sep 23 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.9.92-4mdv2008.0
+ Revision: 92349
- More BuildRequires and File List Fixing
- Fix BR and File list
- New snapshot ( because of kdelibs4 update )
- Fix requires and descriptions

* Wed Sep 12 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.9.92-3mdv2008.0
+ Revision: 84802
- Add Buildrequire needed to build Krita
- Add BR : postgresql-devel
- Fix File list
- Fix File list
- New snapshot
  Fix file list
- Fix Requires

  + Funda Wang <fundawang@mandriva.org>
    - move thesaurus files into core to avoid dependency of devel package.
    - fix BR (liblcms->lcms)
    - There is no kdelibs4 (dependency already satisfied by file dependencies)

* Fri Aug 10 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.9.92-1mdv2008.0
+ Revision: 61564
- Do not package some files on arch diferent of x86
- Add a buildrequire
  Comment some files (but I need to find the missing BR related)
- Add some BuildRequires
- Add some requires
  Fix Koffice URL
- Fix Requires on koffice2-core
- Import koffice2

